# PvCard::Separator Class Reference

`#include <vcard.h>`

Inheritance diagram for PvCard::Separator:

List of all members.

## Public Member Functions

| Separator (char c= '\0')
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream.
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream.
bool | operator== (char c) const
bool | operator!= (char c) const

## Public Attributes

char | m_separator

## Constructor & Destructor Documentation

PvCard::Separator::Separator | ( | char | c = `'\0'` | ) | `[inline]`

## Member Function Documentation

bool PvCard::Separator::operator!= | ( | char | c | ) | const`[inline]`

bool PvCard::Separator::operator== | ( | char | c | ) | const`[inline]`

virtual void PvCard::Separator::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Output the contents of the object to the stream.

The exact output is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator<<` function.

The default behaviour is to print the class name.

Reimplemented from PObject.

virtual void PvCard::Separator::ReadFrom | ( | istream & | strm | ) | `[virtual]`

Input the contents of the object from the stream.

The exact input is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator>>` function.

The default behaviour is to do nothing.

Reimplemented from PObject.

## Member Data Documentation

char PvCard::Separator::m_separator

The documentation for this class was generated from the following file:

- vcard.h